Bug 1445901 - Error in re-configuring service: "Error during 'Provisioning': undefined method `match' for 0:Fixnum Did you mean? catch"
Summary: Error in re-configuring service: "Error during 'Provisioning': undefined meth...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: Automate
Version: 5.7.0
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: GA
: 5.7.3
Assignee: eclarizi
QA Contact: Shveta
URL:
Whiteboard: service
Depends On: 1442920
Blocks:
TreeView+ depends on / blocked
 
Reported: 2017-04-26 17:55 UTC by Satoe Imaishi
Modified: 2017-06-28 15:01 UTC (History)
11 users (show)

Fixed In Version: 5.7.3.1
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 1442920
Environment:
Last Closed: 2017-06-28 15:01:40 UTC
Category: ---
Cloudforms Team: CFME Core
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2017:1601 0 normal SHIPPED_LIVE Important: CFME 5.7.3 security, bug fix and enhancement update 2017-06-28 18:51:52 UTC

Comment 2 CFME Bot 2017-05-11 16:41:00 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/7cfea7bde82175e73d9d53e1b2a4e372f5914a34

commit 7cfea7bde82175e73d9d53e1b2a4e372f5914a34
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Mon Apr 24 16:39:34 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Thu May 11 12:39:54 2017 -0400

    Merge pull request #14861 from eclarizio/BZ1442920
    
    Fix for Error in re-configuring service 'undefined method `match` for Fixnum'
    (cherry picked from commit 2519d979bf4a18df34e3fa50ce1b348d2d5ee592)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445901

 app/models/dialog_field_text_box.rb       |  2 +-
 spec/models/dialog_field_text_box_spec.rb | 23 +++++++++++++++++------
 2 files changed, 18 insertions(+), 7 deletions(-)

Comment 3 CFME Bot 2017-05-12 13:56:24 UTC
New commit detected on ManageIQ/manageiq/euwe:
https://github.com/ManageIQ/manageiq/commit/3647b45d054705d5bfd902b9a3f30591e0482e6a

commit 3647b45d054705d5bfd902b9a3f30591e0482e6a
Author:     Greg McCullough <gmccullo@redhat.com>
AuthorDate: Thu May 11 16:45:18 2017 -0400
Commit:     Satoe Imaishi <simaishi@redhat.com>
CommitDate: Fri May 12 09:54:57 2017 -0400

    Merge pull request #15072 from eclarizio/BZ1442920-2
    
    Fix for Error in re-configuring service 'undefined method `match` for Fixnum'
    (cherry picked from commit d813b153ac02bb7f2a31e13553e29551f5edd5a2)
    
    https://bugzilla.redhat.com/show_bug.cgi?id=1445901

 app/models/dialog_field_text_box.rb       | 10 ++++++----
 spec/models/dialog_field_text_box_spec.rb | 22 +++++++++++++++++++++-
 2 files changed, 27 insertions(+), 5 deletions(-)

Comment 4 Shveta 2017-06-09 05:55:11 UTC
Fixed.
Verified in 5.7.3.1.20170608124102_4b35a9e

Comment 6 errata-xmlrpc 2017-06-28 15:01:40 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHSA-2017:1601


Note You need to log in before you can comment on or make changes to this bug.